# AsemanTools Documents

### [Getting Started](gettingstarted.md)

### How to import:

```c++
import AsemanTools 1.0
```

or

```c++
import AsemanTools 1.0 as Aseman
```

### Types

Here are all components of the AsemanTools:


##### Normal types

 * [MimeData](mimedata.md)
 * [DragObject](dragobject.md)
 * [HashObject](hashobject.md)
 * [ListObject](listobject.md)
 * [Downloader](downloader.md)
 * [Encrypter](encrypter.md)
 * [Keychain](keychain.md)
 * [SystemTray](systemtray.md)
 * [WindowDetails](windowdetails.md)
 * [AsemanObject](asemanobject.md)
 * [ImageColorAnalizor](imagecoloranalizor.md)
 * [Notification](notification.md)
 * [AutoStartManager](autostartmanager.md)
 * [Settings](settings.md)
 * [StoreManager](storemanager.md)
 * [ItemImageGrabber](itemimagegrabber.md)
 * [FileDownloaderQueueItem](filedownloaderqueueitem.md)
 * [FileDownloaderQueue](filedownloaderqueue.md)
 * [FontHandler](fonthandler.md)
 * [AsemanApplication](asemanapplication.md)
 * [SmartComponentCore](smartcomponentcore.md)
 * [MimeApps](mimeapps.md)
 * [WebPageGrabber](webpagegrabber.md)
 * [HostChecker](hostchecker.md)
 * [NetworkManager](networkmanager.md)
 * [NetworkSleepManager](networksleepmanager.md)
 * [TitleBarColorGrabber](titlebarcolorgrabber.md)
 * [TaskbarButton](taskbarbutton.md)
 * [MapDownloader](mapdownloader.md)
 * [MouseDragArea](mousedragarea.md)
 * [CalendarModel](calendarmodel.md)
 * [KdeWallet](kdewallet.md)
 * [AsemanSensors](asemansensors.md)
 * [AudioRecorder](audiorecorder.md)
 * [AudioEncoderSettings](audioencodersettings.md)

##### Models

 * [MixedListModel](mixedlistmodel.md)
 * [CountriesModel](countriesmodel.md)
 * [FileSystemModel](filesystemmodel.md)
 * [StoreManagerModel](storemanagermodel.md)
 * [ContributorsModel](contributorsmodel.md)

##### Singletons

 * [Devices](devices.md)
 * [TextTools](texttools.md)
 * [Tools](tools.md)
 * [Desktop](desktop.md)
 * [CalendarConv](calendarconv.md)
 * [BackHandler](backhandler.md)
 * [AsemanApp](asemanapp.md)
 * [Logger](logger.md)
 * [View](view.md)

##### Uncreatable types

 * [Screen](screen.md)
 * [AsemanDesktopTools](asemandesktoptools.md)
 * [NetworkManagerItem](networkmanageritem.md)
